package vip.xiaonuo.coldchain.modular.app.param;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/17 22:30:15
 */

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AppDeviceAlarmParam {

    @Schema(description = "监控点位编号")
    @NotBlank(message = "监控点位编号")
    private String monitorTargetRegionId;
    /**
     * 温度报警上限 temperature humidity co2
     */
    @Schema(description = "温度报警上限")
    @JsonSerialize(using = FloatNullToDashSerializer.class)
    private Float temperatureUp;
    /**
     * 温度报警下限
     */
    @Schema(description = "温度报警下限")
    @JsonSerialize(using = FloatNullToDashSerializer.class)
    private Float temperatureDown;

    /**
     * 湿度报警上限 temperature humidity co2
     */

    @Schema(description = "湿度报警上限")
    @JsonSerialize(using = FloatNullToDashSerializer.class)
    private Float humidityUp;
    /**
     * 湿度报警下限
     */
    @Schema(description = "湿度报警下限")
    @JsonSerialize(using = FloatNullToDashSerializer.class)
    private Float humidityDown;

    /**
     * 二氧化碳报警上限 temperature humidity co2
     */
    @Schema(description = "二氧化碳报警上限")
    @JsonSerialize(using = FloatNullToDashSerializer.class)
    private Float co2Up;

    /**
     * 二氧化碳报警下限
     */
    @Schema(description = "二氧化碳报警下限")
    @JsonSerialize(using = FloatNullToDashSerializer.class)
    private Float co2Down;

    public String getMonitorTargetRegionId() {
        return monitorTargetRegionId;
    }

    public Float getTemperatureUp() {
        return temperatureUp;
    }

    public Float getTemperatureDown() {
        return temperatureDown;
    }

    public Float getHumidityUp() {
        return humidityUp;
    }

    public Float getHumidityDown() {
        return humidityDown;
    }

    public Float getCo2Up() {
        return co2Up;
    }

    public Float getCo2Down() {
        return co2Down;
    }
}
